## ----preliminary, echo=FALSE--------------------------------------------------
## library(plgraphics, lib.loc="/u/stahel/R/regdevelop/pkg/plgraphics.Rcheck")
library(regr) ##, lib.loc="/u/stahel/R/regdevelop/pkg/regr.Rcheck")
plmframes()
options(project="regr documentation")
options(warn=1)

## ----regrout------------------------------------------------------------------
data(d.blast, package="plgraphics")
attr(d.blast,"doc")[1] <- 
  "Blasting: measurements of tremor in nearby house basements"
options(show.ifc="test")
r.blast <- regr(logst(tremor) ~ location + log10(distance) + log10(charge), 
    data = d.blast)
r.blast


## ----regroutrel---------------------------------------------------------------
options(show.ifc="relevance")
r.blast


## ----termtable----------------------------------------------------------------
names(r.blast$termtable)
t.opt <- options(show.ifc=c("coef", "stcoef", "df", "Sig0", "p.symbol"))

print(r.blast, call=FALSE, termeffects=FALSE) ## avoid repetition of these parts
options(t.opt)

## ----add1---------------------------------------------------------------------
add1(r.blast)

r.step <- step.regr(r.blast, k=4)
formula(r.step)

## ----modeltable---------------------------------------------------------------
r.blast2 <- 
  regr(logst(tremor) ~ ( location + log10(distance) + log10(charge) )^2,
       data=d.blast)
modelTable(c("r.blast", "r.blast2"))             

